---
title: "Deployments, newest first"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.gitpando.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Pando API › releases

`GET /v1/monorepos/{owner}/{monorepo}/repos/{repo}/deployments`

## Authentication

Requires one of the following:

- `credential`, http, header `Authorization`
- `session`, apiKey, in cookie

## Path parameters

- `listDeployments.path.owner` (string, required) — The monorepo's owner, a namespace (a person's login or an organization). Matched without case.
  - pattern `^[a-z0-9](?:[a-z0-9]|-(?=[a-z0-9])){0,38}$`
- `listDeployments.path.monorepo` (string, required) — The monorepo's name within its owner (or an old name). Matched without case.
  - pattern `^[a-z0-9](?:[a-z0-9._]|-(?!-)){0,38}$`
- `listDeployments.path.repo` (string, required) — The repo's `name` (`projects-web`).

## Query parameters

- `listDeployments.query.environment` (string, optional)
- `listDeployments.query.limit` (integer, optional)
  - min 1; max 100; default `30`

## Code samples

### cURL

```curl
curl --request GET \
  --url https://app.gitpando.com/v1/monorepos/string/string/repos/string/deployments \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://app.gitpando.com/v1/monorepos/string/string/repos/string/deployments';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://app.gitpando.com/v1/monorepos/string/string/repos/string/deployments"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

OK

#### Example

```json
{
  "deployments": [
    {
      "id": "string",
      "repo": "string",
      "environment": "string",
      "sha": "string",
      "release": "string",
      "state": "in_progress",
      "url": "string",
      "description": "string",
      "created_by": "string",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ]
}
```

- `listDeployments.response.200.deployments` (array<object>, required)
  - `listDeployments.response.200.deployments.id` (string, required)
  - `listDeployments.response.200.deployments.repo` (string, required)
  - `listDeployments.response.200.deployments.environment` (string, required)
  - `listDeployments.response.200.deployments.sha` (string, required)
  - `listDeployments.response.200.deployments.release` (string | null, required)
  - `listDeployments.response.200.deployments.state` (string, required)
    - one of `"in_progress"`, `"success"`, `"failure"`
  - `listDeployments.response.200.deployments.url` (string | null, required)
  - `listDeployments.response.200.deployments.description` (string | null, required)
  - `listDeployments.response.200.deployments.created_by` (string, required)
  - `listDeployments.response.200.deployments.created_at` (string, required)
    - format `date-time`


Source: https://docs.gitpando.com/api/releases/listDeployments/index.md
